html {
    position: relative;
    min-height: 100%;
}
body {
    margin-bottom: 100px;
    /* margin: 5em 0 100px;     fixed navbar*/
    scroll-behavior: smooth;
}


/***** Navbar *****/
.navbar-toggler {
    border: 0;
}
.nav-separator {
    border: 2px solid;
    /* margin: 0; */
}


/* Navbar animation */
/* .navbar ul li a {
    position: relative;
    animation: navbaranim .2s ease reverse;    

}
.navbar ul li a::after {
    content: "";
    background: #fd2525;
    position: absolute;
    height: 5px;
    top: 0;
    width: 0;
    left: 25%;
}
.navbar ul li a:hover::after, a:focus::after {
    width: 50%;
    animation: navbaranim 22.2s ease;
}
.navbar ul li.active a::after {
    width: 100%;
    left: 0;
    animation: none;
}
@keyframes navbaranim {
    0% {
        width: 0%;
        left: 550%;
    }
    100% {
        width: 50%;
        left: 25%;
    }
} */


/***** Banner *****/
.banner {
    background-color: #000;
}

/* Banner secundário */
.banner-s {
    width: 100%;
    background-size: cover;
    background-position: center;
    background-color: #000; /* color enquanto carrega a img */
}
.banner-jt {
    background-color: rgba(0, 0, 0, 0.6);
    margin-bottom: 0;
}

.banner h1 {
    font-size: 3.5rem;
    font-weight: bold;
}
.carousel .carousel-item {
    height: 24rem;

    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    -ms-background-size: cover;
}
.carousel-item > img {
    opacity: 40%;
    height: 24rem;
    object-fit: cover;
}
.carousel-caption {
    color: #fd2525;
    top: 50%;
    text-align: left;
    transform: translateY(-50%);
    bottom: initial;

    /* responsive */
    left: 0;
    right: 0;
    margin: auto;
    width: 100%;
    padding: 0 15px;
}
.carousel-caption h1 {
    word-wrap: break-word;
}
.carousel-indicators li {
    width: .625rem;
    height: .625rem;
    cursor: pointer;
    border-radius: 50%;
}


/***** Áreas de negócio *****/
.areas-negocio-cards img {
    width: 100%;
    height: 160px;
    object-fit: cover;
}


/***** Portefólio *****/
.g-first h4 {
    padding-bottom: 5px;
    border-bottom: 1px solid;
}
.g-first .img-div {
    padding-bottom: 20px;
}
.g-second img, .g-second .img-div {
    height: 200px;
    object-fit: cover;
}
.g-second h2, .galeria h2 {
    font-size: 38px;
}

.galeria .img-div {
    padding: 10px;
}
.galeria img, .g-first img {
    object-fit: cover;
    width: 100%;
    border-radius: 3px;
    height: 300px;
}


/***** Modal *****/
.portefolio-modal img {
    object-fit: cover;
    width: 100%;
    border-radius: 3px;
    height: 280px;
}

/***** Contactos *****/
.contactos .container {
    -webkit-box-shadow: 0px 0px 15px -10px #000000bf;
    -moz-box-shadow: 0px 0px 15px -10px #000000bf;
    box-shadow: 0px 0px 15px -10px #000000bf;
}
.contactos-icone {
    display: flex;
    margin: auto;
    width: 4em;
    height: 5rem;
}
.contactos-icone img {
    margin: auto;
    max-height: 3rem;
}

/* Google Maps */
.mapa-div{
    padding-bottom: 350px; /* "tamanho" da div para o iframe */
    position: relative;
    -webkit-box-shadow: 0px 0px 15px -10px #000000bf;
    -moz-box-shadow: 0px 0px 15px -10px #000000bf;
    box-shadow: 0px 0px 15px -10px #000000bf;
}
.mapa-div iframe{
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    position: absolute;
}

/* Form Contacto */
.form-contacto .container {
    -webkit-box-shadow: 0px 0px 15px -10px #000000bf;
    -moz-box-shadow: 0px 0px 15px -10px #000000bf;
    box-shadow: 0px 0px 15px -10px #000000bf;
}
.form-contacto .form-titulo {
    padding-top: 32px;
}
.form-contacto h2 {
    font-size: 34px;
}
.custom-checkbox .custom-control-label::before {
    border-radius: 0;
}
.form-contacto button {
    width: 100px;
}


/***** Footer *****/
.footer {
    position: absolute;
    bottom: 0;
    height: 100px;
    width: 100%;
}


/***** Loading screen *****/
#loader-div {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 2000;
}
#loader-div .loader-bg {
    width: 100%;
    height: 100%;
    background: #000;
    z-index: 2000;
}
#loader {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 200px;
    z-index: 2001;
}
#loader .load-span {
    display: block;
    font-size: large;
    margin: 25px auto 40px;
}
.loaded #loader-div {
    opacity: 0;
    -webkit-transition: all .5s ease-out;  
            transition: all .5s ease-out;
    visibility: hidden;
}


/***** RESPONSIVE *****/
@media (min-width: 576px) {
    /* Banner */
    .carousel-caption {
        width: 540px;
    }

    /* Portefólio */
    .g-second img, .g-second .carousel {
        height: 200px;
    }
}
@media (min-width: 768px) {
    /* Banner */
    .carousel-caption {
        width: 720px;
    }

    /* Portefólio */
    .galeria img, .g-first img {
        height: 200px;
    }
    .g-second img, .g-second .carousel {
        height: 220px;
    }
}
@media (min-width: 992px) {
    /* Banner */
    .carousel-caption {
        width: 960px;
    }

    /* Portefólio */
    .galeria img, .g-first img {
        height: 200px;
    }
    .g-second img, .g-second .carousel {
        height: 300px;
    }
}
@media (min-width: 1200px) {
    /* Banner */
    .carousel-caption {
        width: 1140px;
    }

    /* Portefólio */
    .galeria img, .g-first img {
        height: 240px;
    }
    .g-second img, .g-second .carousel {
        height: 400px;
    }
}